[1/1] package/python-posix-ipc: enable also for python3

Message ID 20181106121459.24903-1-daniel@fahlgren.se
State New
Headers show
Series
  • [1/1] package/python-posix-ipc: enable also for python3
Related show

Commit Message

Daniel Fahlgren Nov. 6, 2018, 12:14 p.m.
The python-posix-ipc package can be used both with python2 and python3.

Signed-off-by: Daniel Fahlgren <daniel@fahlgren.se>
---
 package/python-posix-ipc/Config.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comments

Yegor Yefremov Nov. 6, 2018, 12:49 p.m. | #1
On Tue, Nov 6, 2018 at 1:42 PM Daniel Fahlgren <daniel@fahlgren.se> wrote:
>
> The python-posix-ipc package can be used both with python2 and python3.
>
> Signed-off-by: Daniel Fahlgren <daniel@fahlgren.se>
> ---
>  package/python-posix-ipc/Config.in | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/package/python-posix-ipc/Config.in b/package/python-posix-ipc/Config.in
> index eba36edd7b..1f588577f5 100644
> --- a/package/python-posix-ipc/Config.in
> +++ b/package/python-posix-ipc/Config.in
> @@ -1,6 +1,6 @@
>  config BR2_PACKAGE_PYTHON_POSIX_IPC
>         bool "python-posix-ipc"
> -       depends on BR2_PACKAGE_PYTHON

just remove this depends line. Python package are enabled for both
Python2 and 3 by default.

Yegor

> +       depends on BR2_PACKAGE_PYTHON || BR2_PACKAGE_PYTHON3
>         depends on BR2_TOOLCHAIN_HAS_THREADS
>         help
>           The Python extension module posix_ipc gives access to POSIX
> --
> 2.14.1
>
> _______________________________________________
> buildroot mailing list
> buildroot@busybox.net
> http://lists.busybox.net/mailman/listinfo/buildroot
Daniel Fahlgren Nov. 6, 2018, 2:04 p.m. | #2
Hello,

On Tue, 2018-11-06 at 13:49 +0100, Yegor Yefremov wrote:
> On Tue, Nov 6, 2018 at 1:42 PM Daniel Fahlgren <daniel@fahlgren.se>
> wrote:
> > 
> > The python-posix-ipc package can be used both with python2 and
> > python3.
> > 
> > Signed-off-by: Daniel Fahlgren <daniel@fahlgren.se>
> > ---
> >  package/python-posix-ipc/Config.in | 2 +-
> >  1 file changed, 1 insertion(+), 1 deletion(-)
> > 
> > diff --git a/package/python-posix-ipc/Config.in b/package/python-
> > posix-ipc/Config.in
> > index eba36edd7b..1f588577f5 100644
> > --- a/package/python-posix-ipc/Config.in
> > +++ b/package/python-posix-ipc/Config.in
> > @@ -1,6 +1,6 @@
> >  config BR2_PACKAGE_PYTHON_POSIX_IPC
> >         bool "python-posix-ipc"
> > -       depends on BR2_PACKAGE_PYTHON
> 
> just remove this depends line. Python package are enabled for both
> Python2 and 3 by default.

Thank you for the review, I did not know that was the case. Will send a
new version of the patch.

Best regards,
Daniel Fahlgren

Patch

diff --git a/package/python-posix-ipc/Config.in b/package/python-posix-ipc/Config.in
index eba36edd7b..1f588577f5 100644
--- a/package/python-posix-ipc/Config.in
+++ b/package/python-posix-ipc/Config.in
@@ -1,6 +1,6 @@ 
 config BR2_PACKAGE_PYTHON_POSIX_IPC
 	bool "python-posix-ipc"
-	depends on BR2_PACKAGE_PYTHON
+	depends on BR2_PACKAGE_PYTHON || BR2_PACKAGE_PYTHON3
 	depends on BR2_TOOLCHAIN_HAS_THREADS
 	help
 	  The Python extension module posix_ipc gives access to POSIX